package me.km.commands;

import me.km.api.Utils;
import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.exception.PlayerNotFoundException;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.text.TextComponentString;

public class CommandKick extends ModuleCommand
{
    public CommandKick(Module m) 
    {
        super("kick", m);
        super.setDescription("Kickt einen Spieler");
        super.setUsage("/kick <name> <reason>");
        super.setPermission(Permissions.KICK);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(arg.length <= 1)
        {
            return false;
        }
        EntityPlayerMP affectedPlayer;
        try
        {
            affectedPlayer = Utils.getPlayerByName(arg[0]);                   
        }
        catch(PlayerNotFoundException ex)
        {
            this.getModule().send(cs, GlobalText.cantFindPlayer(arg[0]));
            return true;
        }                      
        String message = Utils.connectSpaces(arg, 1);
        this.getModule().sendBroadcast("§4" + affectedPlayer.getName() + " §cwurde von §4" + cs.getName() + "§c gekickt, weil: §4" + message);  
        affectedPlayer.connection.disconnect(new TextComponentString("§4Du §cwurdest von §4" + cs.getName() + "§c gekickt, weil: §4" + message));
        return true;
    }
}
