package me.km.dimensions;

import me.km.api.Module;
import java.util.HashMap;
import net.minecraft.util.text.TextFormatting;
import net.minecraft.world.World;

public class WorldData extends Module
{
    private final HashMap<Integer, WorldPreferences> worlds;
    
    public WorldData(String mname, String prefix, TextFormatting color)
    {
        super(mname, prefix, color);
        worlds = new HashMap<>();
    }
    
    public WorldPreferences getWorldPreferences(World w)
    {
        WorldPreferences wp = worlds.get(w.provider.getDimension());
        if(wp != null)
        {
            return wp;
        }
        wp = new WorldPreferences();
        worlds.put(w.provider.getDimension(), wp);
        return wp;
    }
}
