package me.km.playerbank;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleListener;
import me.km.api.Utils;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraftforge.event.entity.living.LivingAttackEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class PvpEvent extends ModuleListener
{
    public PvpEvent(Module m) 
    {
        super(m);
    }
    
    @SubscribeEvent
    public void PlayerVSPlayer(LivingAttackEvent e)
    {      
        if(!(e.getEntityLiving() instanceof EntityPlayer) ||
            !KajetansMod.worldManager.getWorldPreferences(e.getEntity().world).pvpProtection || 
            !(e.getSource().getImmediateSource()instanceof EntityPlayer))
        {
            return;
        }
        EntityPlayer affectedPlayer = (EntityPlayer) e.getEntityLiving();
        EntityPlayer p = Utils.getDamager(e.getSource());
        
        if(p == null || affectedPlayer.equals(p))
        {
            return;
        }
        
        PlayerBank pb = KajetansMod.playerbank.getDataBank();
        if(pb.getTag(affectedPlayer, "pvp") != 1)
        {
            this.getModule().send(p, affectedPlayer.getName() + " hat PVP ausgeschalten!");
            e.setCanceled(true);
        }
        if(pb.getTag(p, "pvp") != 1)
        {
            this.getModule().send(p, "Du hast PVP ausgeschalten!");
            e.setCanceled(true);
        }
    }
}
