package me.km.snuviscript;

import me.km.KajetansMod;
import me.km.inventory.CustomContainer;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.inventory.ClickType;

public class ScriptInventoryHolder extends CustomContainer
{
    private final MinecraftScript qd;
    private final ScriptEvents e;
    private final SnuviInventory inv;

    public ScriptInventoryHolder(SnuviInventory inv, EntityPlayerMP p, MinecraftScript qd) 
    {
        super(inv, p);
        this.qd = qd;
        this.inv = inv;
        this.e = KajetansMod.scripts.getEvent(ScriptEvents.class);
    }

    @Override
    public boolean noClicking(int slot, int dragType, ClickType click, EntityPlayerMP p) 
    {
        return e.QuestClickInventory(qd, inv, slot, click, p);
    }

    @Override
    public void onContainerClosed(EntityPlayer p) 
    {
        if(!e.QuestCloseInventory(qd, inv, p))
        {
            super.onContainerClosed(p);
        }
    }
}
