package me.km;

import me.km.blocks.ModBlocks;
import me.km.items.ModItems;
import me.km.recipes.ModRecipes;
import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.crafting.IRecipe;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

@Mod.EventBusSubscriber
public class ObjectRegistry 
{
    @SubscribeEvent
    public static void onBlockRegistry(RegistryEvent.Register<Block> e) 
    {
        System.out.println(1);
        ModBlocks.initBlocks(e.getRegistry());
        ModBlocks.initReplacementBlocks(e.getRegistry());
    }
    
    @SubscribeEvent
    public static void onItemRegistry(RegistryEvent.Register<Item> e) 
    {
        System.out.println(2);
        ModBlocks.initItemBlocks(e.getRegistry());
        ModItems.init(e.getRegistry());
    }
    
    @SubscribeEvent
    public static void onRecipeRegistry(RegistryEvent.Register<IRecipe> e) 
    {
        System.out.println(3);
        ModRecipes.init(e.getRegistry());
    }
}
